import request from '@/utils/request'

// 查询项目报价--工艺分类列表
export function listQuoteType(query) {
  return request({
    url: '/system/QuoteType/list',
    method: 'get',
    params: query
  })
}

export function getGoodsDataList() {
  return request({
    url: '/system/QuoteType/goodsDataList',
    method: 'get'
  })
}



// 查询项目报价--工艺分类详细
export function getQuoteType(id) {
  return request({
    url: '/system/QuoteType/' + id,
    method: 'get'
  })
}
// 任务状态修改
export function changetypeStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/system/QuoteType/changeStatus',
    method: 'put',
    data: data
  })
}
// 新增项目报价--工艺分类
export function addQuoteType(data) {
  return request({
    url: '/system/QuoteType',
    method: 'post',
    data: data
  })
}

// 修改项目报价--工艺分类
export function updateQuoteType(data) {
  return request({
    url: '/system/QuoteType',
    method: 'put',
    data: data
  })
}

// 删除项目报价--工艺分类
export function delQuoteType(id) {
  return request({
    url: '/system/QuoteType/' + id,
    method: 'delete'
  })
}
